GCLOUD_DEPLOYMENT-MANAGER_DEPLOYMENTS(1)

NAME

gcloud deployment-manager deployments - commands for Deployment Manager deployments

SYNOPSIS

gcloud deployment-manager deployments COMMAND [GLOBAL-FLAG ...]

DESCRIPTION
Commands to create, update, delete, and examine deployments of resources.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

COMMANDS
COMMAND is one of the following: cancel-preview
    Cancel a pending or running deployment preview.
create
    Create a deployment.
delete
    Delete a deployment.
describe
    Provide information about a deployment.
list
    List deployments in a project.
stop
    Stop a pending or running deployment update or creation.
update
    Update a deployment based on a provided config file.

EXAMPLES
To create a deployment, run:
    $ gcloud deployment-manager deployments create my-deployment \
        --config config.yaml
To update a deployment, run:
    $ gcloud deployment-manager deployments update my-deployment \
        --config new_config.yaml
To stop a deployment create or update in progress, run:
    $ gcloud deployment-manager deployments stop my-deployment
To cancel a previewed create or update, run:
    $ gcloud deployment-manager deployments cancel-preview \
        my-deployment
To delete a deployment, run:
    $ gcloud deployment-manager deployments delete my-deployment
To view the details of a deployment, run:
    $ gcloud deployment-manager deployments describe my-deployment
To see the list of all deployments, run:
    $ gcloud deployment-manager deployments list